% Script that reads in specific emissions per kWh produced for 6
% electricity sources and 31 regions, and puts them all in one array with
% the dimensions [8 stressors x (6x31) region-el-sources]
% Source: econinvent database in SimaPro

file = '\Stressors\Splitting_energy_sectors.xls';       % data file
sheet = 'Emissions';                                    % sheet name

Coal=xlsread(file,sheet,'C12:AG19');                    % specific emissions of electricity produced from coal (kg/kWh)
Hydro=xlsread(file,sheet,'C25:AG32');                   % ..from hydropower
Oil=xlsread(file,sheet,'C38:AG45');                     % ..from oil
Gas=xlsread(file,sheet,'C51:AG58');                     % ..from natural gas
Nuclear=xlsread(file,sheet,'C64:AG71');                 % ..from nuclear power
Wind=xlsread(file,sheet,'C77:AG84');                    % ..from wind


n=size(Coal,2); % number of regions (31)

% Creating matrix of specific emissions (according to SimaPro)
for i=1:n
    S_el_char(:,6*(i-1)+1)=Coal(:,i);
    S_el_char(:,6*(i-1)+2)=Nuclear(:,i);
    S_el_char(:,6*(i-1)+3)=Gas(:,i);
    S_el_char(:,6*(i-1)+4)=Oil(:,i);
    S_el_char(:,6*(i-1)+5)=Hydro(:,i);
    S_el_char(:,6*(i-1)+6)=Wind(:,i);
end

save 'el_char' S_el_char   % [8 x (31x6)]