function [Z_new,Y_new,V_new,S_new] = deductsectors(Z_old,Y_old,V_old,S_old,...
    newPurchases,newSales,newfc,newVA,newem,sectorinfo,regs,scts)
% By Kjartan Steen-Olsen

num_newscts = size(newPurchases,3); %3
EUregs = 23;

Z_new = Z_old;
Y_new = Y_old;
V_new = V_old;
S_new = S_old;

counter = zeros(1,scts);

for i = 1:num_newscts
    EUparent = sectorinfo(i).EUparent;
    ROWparent = sectorinfo(i).ROWparent;
    counter(EUparent) = 1;                                                  % Counts the number of old sectors that are manipulated
    for j = 1:EUregs
        col = Z_new(:,scts*(j-1)+EUparent);
        row = Z_new(scts*(j-1)+EUparent,:);       
        fc_i = Y_new(scts*(j-1)+EUparent,:);
        VA_i = V_new(:,scts*(j-1)+EUparent);
        em_i = S_new(:,scts*(j-1)+EUparent);
        
        col = col-newPurchases(:,j,i);
        row = row-newSales(j,:,i);
        fc_i = fc_i-newfc(j,:,i);
        VA_i = VA_i-newVA(:,j,i);
        em_i = em_i-newem(:,j,i);

        Z_new(:,scts*(j-1)+EUparent) = col;
        Z_new(scts*(j-1)+EUparent,:) = row;
        Y_new(scts*(j-1)+EUparent,:) = fc_i;
        V_new(:,scts*(j-1)+EUparent) = VA_i;
        S_new(:,scts*(j-1)+EUparent) = em_i;    
    end
    for j = EUregs+1:regs
        col = Z_new(:,scts*(j-1)+ROWparent);
        row = Z_new(scts*(j-1)+ROWparent,:);       
        fc_i = Y_new(scts*(j-1)+ROWparent,:);
        VA_i = V_new(:,scts*(j-1)+ROWparent);
        em_i = S_new(:,scts*(j-1)+ROWparent);
        
        col = col-newPurchases(:,j,i);
        row = row-newSales(j,:,i);
        fc_i = fc_i-newfc(j,:,i);
        VA_i = VA_i-newVA(:,j,i);
        em_i = em_i-newem(:,j,i);

        Z_new(:,scts*(j-1)+ROWparent) = col;
        Z_new(scts*(j-1)+ROWparent,:) = row;
        Y_new(scts*(j-1)+ROWparent,:) = fc_i;
        V_new(:,scts*(j-1)+ROWparent) = VA_i;
        S_new(:,scts*(j-1)+ROWparent) = em_i;    
    end
end

%Loop to make up for double deductions in previous loop (occurs where the
%altered rows and columns intersect):
% parents=find(counter);
% for i = 1:regs
%     for j = 1:sum(counter)
%         for k = 1:sum(counter)
%             diff = Z_old(scts*(i-1)+parents(j),scts*(i-1)+parents(k))...
%                 -Z_new(scts*(i-1)+parents(j),scts*(i-1)+parents(k));
%             Z_new(scts*(i-1)+parents(j),scts*(i-1)+parents(k)) =...
%                 Z_new(scts*(i-1)+parents(j),scts*(i-1)+parents(k))+diff/2;
%         end
%     end
% end
