function A = estbl_new_scts(sourcefile,outputs)
% Author: Kjartan Steen-Olsen

source_num = xlsread(sourcefile,'Disaggregation','A1:AK50');
[dummy,source_char] = xlsread(sourcefile,'Disaggregation','C6:C50');
clear dummy

newscts = source_num(4,3);                                                  % Cell C4 - states number of new sectors to include

for i=1:newscts
    A(i).number = i;
    A(i).name = source_char(5*i-4,1);
    A(i).EUparent = source_num(5*(i+1)-1,3);
    A(i).ROWparent = source_num(5*(i+1),3);
    A(i).price = source_num(5*i+2,7:37);                                    % Price in /ton
%   A(i).production_phys = source_num(5*i+1,7:30);
    A(i).production = source_num(5*i+3,7:37);                               % Production in million 
        A(i).production(isnan(A(i).production)) = 0;
    A(i).parentproduction = [outputs(1:23,A(i).EUparent)',...
        outputs(24:31,A(i).ROWparent)'];
    A(i).producingregions = find(A(i).production);
    A(i).share = A(i).production./A(i).parentproduction;
        A(i).share(isnan(A(i).share)) = 0;
        A(i).share(A(i).share>0.95) = 0.95; %Assuming that aluminium in no region is more than 95% of total metal production
end
