function [Z_new,Y_new,V_new,S_new] = expandZ(Z_old,Y_old,V_old,S_old,...
    newPurchases,newSales,newfc,newVA,newem,regs,scts)
% Author: Kjartan Steen-Olsen

num_str = size(S_old,1);                                                    %8
num_VAcats = size(V_old,1);                                                 %7
num_dem = size(Y_old,2);                                                    %93

num_newscts = size(newPurchases,3);                                         %3
num_totscts = scts+num_newscts;                                             %67

%% Step 1: Loop to add new columns in Z, V and S
Z_temp = zeros(scts*regs,num_totscts*regs);
V_new = zeros(num_VAcats,num_totscts*regs);
S_new = zeros(num_str,num_totscts*regs);
for i = 1:regs
    Z_temp(:,num_totscts*(i-1)+1:num_totscts*i-num_newscts) =...
        Z_old(:,scts*(i-1)+1:scts*i);
    V_new(:,num_totscts*(i-1)+1:num_totscts*i-num_newscts)  =...
        V_old(:,scts*(i-1)+1:scts*i);
    S_new(:,num_totscts*(i-1)+1:num_totscts*i-num_newscts)  =...
        S_old(:,scts*(i-1)+1:scts*i);
    for j = 1:num_newscts
        Z_temp(:,num_totscts*i-num_newscts+j) = newPurchases(:,i,j);
        V_new(:,num_totscts*i-num_newscts+j) = newVA(:,i,j);
        S_new(:,num_totscts*i-num_newscts+j) = newem(:,i,j);
    end
end

%% Step 2: Loop to add new rows to Z
Z_new = zeros(num_totscts*regs,num_totscts*regs);
for i=1:regs
    Z_new(num_totscts*(i-1)+1:num_totscts*i-num_newscts,:) =...
        Z_temp(scts*(i-1)+1:scts*i,:);
    for j = 1:regs
        for k = 1:num_newscts
            Z_new(num_totscts*i-num_newscts+k,num_totscts*(j-1)+1:num_totscts*j-num_newscts)=...
                newSales(i,scts*(j-1)+1:scts*j,k);
        end
    end
end

%% Step 3: Loop to add new rows to Y
Y_new = zeros(num_totscts*regs,num_dem); %2077x93
for i=1:regs
    Y_new(num_totscts*(i-1)+1:num_totscts*i-num_newscts,:) =...
        Y_old(scts*(i-1)+1:scts*i,:);
    for j=1:num_newscts
        Y_new(num_totscts*i-num_newscts+j,:)=newfc(i,:,j);
    end
end