function [P,S,fc,VA,e] = makesectors(info,Z,Y,V,E,reg,sct)
% Function output: Purchases, sales, final consumption, emissions
%
% Author: Kjartan Steen-Olsen

newsct = size(info,2);  %3
EUregs = 23;

for i = 1:newsct
    parent = info(i).EUparent;
    for j = 1:EUregs
        shr = info(i).share(j);                                             %The share to multiply with
        P(:,j,i) = Z(:,sct*(j-1)+parent)*shr;
        S(j,:,i) = Z(sct*(j-1)+parent,:)*shr;
        fc(j,:,i) = Y(sct*(j-1)+parent,:)*shr;
        VA(:,j,i) = V(:,sct*(j-1)+parent)*shr;
        e(:,j,i) = E(:,sct*(j-1)+parent)*shr;
    end
    parent = info(i).ROWparent;
    for j = EUregs+1:reg
        shr = info(i).share(j);
        P(:,j,i) = Z(:,sct*(j-1)+parent)*shr;
        S(j,:,i) = Z(sct*(j-1)+parent,:)*shr;
        fc(j,:,i) = Y(sct*(j-1)+parent,:)*shr;
        VA(:,j,i) = V(:,sct*(j-1)+parent)*shr;
        e(:,j,i) = E(:,sct*(j-1)+parent)*shr;
    end
end

P(isnan(P))=0;
S(isnan(S))=0;
fc(isnan(fc))=0;
e(isnan(e))=0;
VA(isnan(VA))=0;