% Script to create matrix of specific electricity emissions for each
% electricity source and region to insert into s.
% Values will be in kg/

load('el_char.mat')                                                         % SimaPro info on specific electricity emissions (kg/kWh)
elprices = xlsread('Calculations_Kjartan.xlsx','El-prices','B3:AF3');       % Electricity prices

%Calculating specific emissions (ton/M) for electricity sectors:
s_el=zeros(8,31*6);
for i=1:31
    s_el(:,6*(i-1)+1:6*i) = S_el_char(:,6*(i-1)+1:6*i)/elprices(i)*1000;    % (kg/kWh) / (/kWh) *1e3 = ton/M
end
s_el(2,:) = s_el(2,:)/1000;                                                 % kton/M

%Inserting new values into s:
for i=1:23
s(:,67*(i-1)+32:67*(i-1)+37) = s_el(:,6*(i-1)+1:6*i);
end
for i=24:31
s(:,67*(i-1)+43:67*(i-1)+48) = s_el(:,6*(i-1)+1:6*i);
end
clear s_el