function regsect(x,t)
% Determines region and sector from an index, based on my system of 31
% regions and 67 sectors, or, alternatively, the common 64 sectors (62 for ROW).
% The function is called by typing: regsect(x,t) where x is the row or
% column number of the matrix and t is either 62, 64 or 67.
% 
% Example: regsect(1094,64) will give: 'Portugal' 'Uranium and thorium
% ores'
% 
% Author: Kjartan Steen-Olsen

load frame %Contains 'regions', 'sectors', 'newsectors', 'ROWsectors' and 'stressors'

if t == 62
    list = ROWsectors;
elseif t == 64
    list = sectors;
elseif t == 67
    list = newsectors;
else
    disp('Input error');
end

k = size(list,1); %62, 64 or 67

r = floor(x/k)+1;
s = x-(r-1)*k;

reg = regions(r);

if s >= 65
    sect = newsectors(s);
elseif (s>=63&&r>=24)
    disp('Dummy region-sector chosen.');
else
    if r <= 23
        sect = sectors(s);
    else
        sect = ROWsectors(s);
    end
end

showcell([reg; sect]);
