%% Writing results! %%

filename = 'Results.xls';
if sn == 1
%% BASELINE SCENARIO %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% E_pufd %% CO2 emissions from sector i per unit f.d. on foreground sector j:
temp = [E_pu_fd_f(:,46:48),E_pu_fd_f(:,22:24),E_pu_fd_f(:,73:75),E_pu_fd_f(:,82:84)]; %NO, DE, CN, SA
xlswrite(filename,temp,'BL_Epufd','B3');

% Now, let's aggregate these a bit..
tempAl = temp(:,[1 4 7 10]); %Selecting just the primary Aluminium production..
tempAlAl = tempAl(65:67:end,:); %Direct emissions
tempAlAa = tempAl(66:67:end,:); %Emissions from alumina production
tempAlel = tempAl([32:6*23+31]+(67-6)*floor([0:6*23-1]/6),:); %Emissions from el production
tempAlel(23*6+1:31*6,:) = tempAl([1584:6*8+1583]+(67-6)*floor([0:6*8-1]/6),:);
tempAltr = tempAl([45:67:1541],:); %Emissions from transport
tempAltr(24:31,:) = tempAl([1541+54:67:end],:);
tempagg = [sum(tempAlAl);sum(tempAlAa);sum(tempAlel);sum(tempAltr)];

xlswrite(filename,tempagg,'BL_Epufd','C2083');

xlswrite(filename,sum(E_pu_fd_f(:,1:3:end))','BL_Epufd','D2130'); %Total emissions p.u. f.d. for all regions

clear temp*

%% Total global Al output:
tempX = x_SB(65:67:end,:);
tempAl = inv(diag(newsectors_basis(1).price))*tempX; %Mt

xlswrite(filename,tempAl,'Gl_Al_BL','B3');

clear temp*

%% Total output of Norwegian sectors %%
temp = x_SB(1006:1072,:);
xlswrite(filename,temp,'BL_xNO','B3');

clear temp*

%% Aluminium trade flows %%
xlswrite(filename,trade_BL(:,:,1),'BL_AlTrade','B3');
xlswrite(filename,trade_BL(:,:,2),'BL_AlTrade','B43');
xlswrite(filename,trade_BL(:,:,3),'BL_AlTrade','B83');
xlswrite(filename,trade_BL(:,:,4),'BL_AlTrade','B123');

clear temp*

%% Total emissions p.u. f.d. Al %%
% Like E_pu_fd_f, but with all stressors and regions
temps = s;
temps(isnan(temps)) = 0;
for i = 1:8
    temp = sum(diag(s(i,:))*L);
    tempE(i,:) = temp(65:67:end);
end
tempE = tempE*diag(newsectors_basis(1).price/1000); %[kg/ton] ([ton/ton] for CO2)

xlswrite(filename,tempE,'Epufd','B3');

clear temp*

%% Total env. impacts due to global Al production %%
for i = 1:31
    tempGWP(i,:) = sum(GWP_Al_BL(67*(i-1)+1:67*i,:));
    tempAP(i,:) = sum(AP_Al_BL(67*(i-1)+1:67*i,:));
end
xlswrite(filename,tempGWP,'Al_imp_BL','B3');
xlswrite(filename,tempAP,'Al_imp_BL','I3');

clear temp*

%% SCENARIO 1: ALL NEW ALU PRODUCTION IN CHINA %%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Global aluminium output:
tempX = x_SC(65:67:end,:);
tempX(:,1) = x_SB(65:67:end,1);
tempAl = inv(diag(newsectors_basis(1).price))*tempX; %Mt

xlswrite(filename,tempAl,'Gl_Al_SC','B3');

clear temp*


%% Total emissions related to inputs to aluminium industry
temp00 = sum(E_Z_f(:,1:3:end,1));
tempBL10 = sum(E_Z_f(:,1:3:end,2));
tempBL20 = sum(E_Z_f(:,1:3:end,3));
tempBL30 = sum(E_Z_f(:,1:3:end,4));
tempSC10 = sum(E_SC_Z_f(:,1:3:end,2));
tempSC20 = sum(E_SC_Z_f(:,1:3:end,3));
tempSC30 = sum(E_SC_Z_f(:,1:3:end,4));

temp=[temp00;tempBL10;tempBL20;tempBL30;tempSC10;tempSC20;tempSC30];

xlswrite(filename,temp,'EZ_totals','B3');

clear temp*

%% Aluminium trade flows %%
xlswrite(filename,trade_BL(:,:,1),'SC_AlTrade','B3');
xlswrite(filename,trade_SC(:,:,2),'SC_AlTrade','B43');
xlswrite(filename,trade_SC(:,:,3),'SC_AlTrade','B83');
xlswrite(filename,trade_SC(:,:,4),'SC_AlTrade','B123');

clear temp*

%% Total env. impacts due to global Al production %%
for i = 1:31
    tempGWP(i,:) = sum(GWP_Al_SC(67*(i-1)+1:67*i,:));
    tempAP(i,:) = sum(AP_Al_SC(67*(i-1)+1:67*i,:));
end
xlswrite(filename,tempGWP,'Al_imp_SC','B3');
xlswrite(filename,tempAP,'Al_imp_SC','I3');

clear temp*

%% Scenario 2: Declining Norwegian Alu industry %%%%%%%%%%%%%%%%%%%%%%%%%%%
elseif sn == 2

%% Global aluminium output:
tempX = x_SC(65:67:end,:);
tempX(:,1) = x_SB(65:67:end,1);
tempAl = inv(diag(newsectors_basis(1).price))*tempX; %Mt

xlswrite(filename,tempAl,'Gl_Al_SN','B3');

clear temp*    
    
%% Total output of Norwegian sectors %%
temp = x_SC(1006:1072,:);
temp(:,1) = x_SB(1006:1072,1);
xlswrite(filename,temp,'SN_xNO','B3');

clear temp*

%% Total emissions related to inputs to aluminium industry

tempSN10 = sum(E_SC_Z_f(:,1:3:end,2));
tempSN20 = sum(E_SC_Z_f(:,1:3:end,3));
tempSN30 = sum(E_SC_Z_f(:,1:3:end,4));

temp=[tempSN10;tempSN20;tempSN30];

xlswrite(filename,temp,'EZ_totals','B10');

clear temp*

%% Aluminium trade flows %%
xlswrite(filename,trade_BL(:,:,1),'SN_AlTrade','B3');
xlswrite(filename,trade_SC(:,:,2),'SN_AlTrade','B43');
xlswrite(filename,trade_SC(:,:,3),'SN_AlTrade','B83');
xlswrite(filename,trade_SC(:,:,4),'SN_AlTrade','B123');

clear temp*

%%
end

%% Taylor series expansion of NO or CN Al, year 2000
Y_ = zeros(2077,1);
Y_(1070)=1; %1070 for NO Al, 1673 for CN Al
t_ = 10;
X_ = zeros(2077,t_);
X_(:,1) = Y_;
temp = eye(2077);
for i = 2:t_
    temp = temp*A;
    X_(:,i) = temp*Y_;
end

E_ = diag(s(2,:))*X_;

xlswrite(filename,sum(X_),'Taylor_Al','O3');
xlswrite(filename,sum(E_),'Taylor_Al','O4');

clear temp*

%% Total env. impacts due to global Al production %%
for i = 1:31
    tempGWP(i,:) = sum(GWP_Al_SC(67*(i-1)+1:67*i,:));
    tempAP(i,:) = sum(AP_Al_SC(67*(i-1)+1:67*i,:));
end
xlswrite(filename,tempGWP,'Al_imp_SN','B3');
xlswrite(filename,tempAP,'Al_imp_SN','I3');

clear temp*

%%